Package com.plannaplan.models

# Class ExportData

java.lang.Object
com.plannaplan.models.ExportData

    public class ExportData
    extends java.lang.Object

Container to keep data to export

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ExportData​(java.lang.String userId, java.lang.String zajCyklId, java.lang.String grNr)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `convertToCSVRecord()` |
`static java.lang.String` | `getCSVHeader()` |
`java.lang.String` | `getGrNr()` |
`java.lang.String` | `getUserId()` |
`java.lang.String` | `getZajCyklId()` |
`void` | `setGrNr​(java.lang.String grNr)` |
`void` | `setUserId​(java.lang.String userId)` |
`void` | `setZajCyklId​(java.lang.String zajCyklId)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExportData

public ExportData​(java.lang.String userId, java.lang.String zajCyklId, java.lang.String grNr)

Parameters:
  `userId` - usosid
  `zajCyklId` - course cycle
  `grNr` - group number

## Method Details

### getGrNr

public java.lang.String getGrNr()

Returns:
  group number

### setGrNr

public void setGrNr​(java.lang.String grNr)

Parameters:
  `grNr` - group number

### getZajCyklId

public java.lang.String getZajCyklId()

Returns:
  course cycle

### setZajCyklId

public void setZajCyklId​(java.lang.String zajCyklId)

Parameters:
  `zajCyklId` - course cycle

### getUserId

public java.lang.String getUserId()

Returns:
  usosid

### setUserId

public void setUserId​(java.lang.String userId)

Parameters:
  `userId` - usosid

### convertToCSVRecord

public java.lang.String convertToCSVRecord()

Returns:
  csv fromated line

### getCSVHeader

public static java.lang.String getCSVHeader()

Returns:
  csv formated first line